## org.eclipse.datatools.sqltools.sql.parser
Class SQLWord

    java.lang.Object
      org.eclipse.datatools.sqltools.sql.parser.SQLWord

    public class SQLWord

extends java.lang.Object

Author:
  Li Huang

Constructor Summary
`SQLWord(java.lang.String name, int type)`

Method Summary
`java.lang.String` `getName()`
`int` `getType()`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### SQLWord

    public SQLWord(java.lang.String name,
                   int type)

Method Detail

### getName

    public java.lang.String getName()

  Returns:
    Returns the _name.

### getType

    public int getType()

  Returns:
    Returns the _type.